Subject: Re: [PATCH] powerpc: EOI and clear IPI fix in xics_teardown_cpu()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 09 Jul 2006 11:37:07 +1000

On Sat, 2006-07-08 at 18:28 -0700, Haren Myneni wrote:
> If OK, please sent this patch to upstream.
> 
> Thanks
> Haren
> 
> When invoked kdump boot, plpar_eoi() call is getting failed and calling 
> panic().
> Kernel panic - not syncing: bad return code EOI - rc = -4, value=ff000000
> 
> The issue is with the desc->chip->eoi(XICS_IPI) in xics_teardown_cpu(). 
> Instead of passing the virq to desc->chip->eoi(), XICS_IPI is used. 
> Also, clear IPI in xics_teardown_cpu() got removed recently (in 
> 2.6.17-git25).  Noticed in some crash dump cases (Ex: initiate kdump 
> boot using soft-reset and xmon is enabled), IPI is not cleared for some 
> CPU(s) before starting the kdump boot. Hence, causing the kdump boot 
> failure.

It's already fixed in my latest patch that fixes some issues with the
new irq rework. Hopefully, paul will send the patch upstream tomorrow
after we had a chance to test it a bit more.

Cheers,
Ben